%define major     0
%define libname   %mklibname idn2_ %{major}
%define devname   %mklibname idn2 -d

Summary:	Library to support IDNA2008 internationalized domain names
Name:		libidn2
Version:	2.2.0
Release:	%mkrel 1
License:	(GPLv2+ or LGPLv3+) and GPLv3+
Group:		System/Libraries
URL:		https://www.gnu.org/software/libidn/#libidn2
Source0:	https://ftp.gnu.org/gnu/libidn/libidn2-%{version}.tar.lz
BuildRequires:	lzip
BuildRequires:	gettext-devel
BuildRequires:	libunistring-devel
# for tests
BuildRequires:	locales

%description
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892, 5893 and TR46 for internationalized domain names
(IDN). It is a standalone library, without any dependency on libidn.

%package -n idn2
Summary:		Command line interface to the Libidn2 implementation of IDNA2008
Group:			Development/Other
Requires(post):		info-install
Requires(preun):	info-install

%description -n idn2
Internationalized Domain Name (IDNA2008) convert STRINGS, or standard input.

%package -n %{libname}
Summary:	Shared libraries for libidn2
Group:		System/Libraries
License:	LGPLv3+ or GPLv2+
Requires:	%{name}-i18n >= %{version}-%{release}
Provides:	bundled(gnulib)

%description -n %{libname}
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892, 5893 and TR46 for internationalized domain names
(IDN). It is a standalone library, without any dependency on libidn.

%package -n %{devname}
Summary:	Development files for libidn2
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use libidn2.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Internationalization and locale data for %{name}

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x --disable-static
%make_build

%install
%make_install

# Don't install any libtool .la files
find %{buildroot} -name "*.la" -delete

# Some file cleanups
rm -f %{buildroot}%{_datadir}/info/dir

# Remove example-only binaries for now
rm -f %{buildroot}%{_bindir}/{lookup,register}

%check
%make_build -C tests check

%find_lang %{name}

%post -n idn2
%_install_info %{name}

%preun -n idn2
%_remove_install_info %{name}

%files -n idn2
%license COPYING COPYING.unicode
%doc AUTHORS NEWS README.md
%{_bindir}/idn2
%{_mandir}/man1/idn2.1*
%{_infodir}/%{name}.info*

%files -n %{libname}
%license COPYING.LESSERv3 COPYINGv2
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%doc doc/%{name}.html
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h
%{_mandir}/man3/*

%files i18n -f %{name}.lang


%changelog
* Fri Dec 27 2019 wally <wally> 2.2.0-1.mga7
+ Revision: 1470213
- new version 2.2.0 to fix CVE-2019-12290 and CVE-2019-18224 (mga#25652)

* Wed Feb 13 2019 luigiwalser <luigiwalser> 2.1.1a-1.mga7
+ Revision: 1366536
- library major is now 0
- 2.1.1a
+ daviddavid <daviddavid>
- new version: 2.1.1

* Wed Jan 09 2019 wally <wally> 2.1.0-1.mga7
+ Revision: 1353586
- new version 2.1.0
- new lib major 4

* Sun Sep 23 2018 umeabot <umeabot> 2.0.5-2.mga7
+ Revision: 1298914
- Mageia 7 Mass Rebuild

* Sat May 19 2018 wally <wally> 2.0.5-1.mga7
+ Revision: 1230524
- new version 2.0.5
- create i18n pkg

* Wed Oct 11 2017 wally <wally> 2.0.4-1.mga7
+ Revision: 1170931
- imported package libidn2

